window.Gleam.initSearch([{"doc":"platform","title":"platform","content":"# platform\nZero dependency platform detection library for gleam\n\n[![Package Version](https://img.shields.io/hexpm/v/platform)](https://hex.pm/packages/platform)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/platform/)\n\n```sh\ngleam add platform@1\n```\n```gleam\nimport gleam/io\nimport platform\n\npub fn main() {\n  io.debug(platform.runtime()) // Erlang, Node, Deno, Bun, Browser\n  io.debug(platform.arch()) // X86, X64, Arm, Arm64\n  io.debug(platform.os()) // Win32, Linux, Darwin, FreeBsd, OpenBsd\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/platform&gt;.\n","url":"index.html"},{"doc":"platform","title":"Arch","content":"pub type Arch {\n  Arm\n  Arm64\n  X86\n  X64\n  Loong64\n  Mips\n  MipsLittleEndian\n  PPC\n  PPC64\n  RiscV64\n  S390\n  S390X\n  OtherArch(String)\n}\n\nArm\n\n\nArm64\n\n\nX86\n\n\nX64\n\n\nLoong64\n\n\nMips\n\n\nMipsLittleEndian\n\n\nPPC\n\n\nPPC64\n\n\nRiscV64\n\n\nS390\n\n\nS390X\n\n\nOtherArch(String)\n\n\nSynonyms:\nplatform.Arch\nplatform Arch","url":"platform.html#Arch"},{"doc":"platform","title":"Os","content":"pub type Os {\n  Aix\n  Darwin\n  FreeBsd\n  Linux\n  OpenBsd\n  SunOs\n  Win32\n  OtherOs(String)\n}\n\nAix\n\n\nDarwin\n\n\nFreeBsd\n\n\nLinux\n\n\nOpenBsd\n\n\nSunOs\n\n\nWin32\n\n\nOtherOs(String)\n\n\nSynonyms:\nplatform.Os\nplatform Os","url":"platform.html#Os"},{"doc":"platform","title":"Runtime","content":"pub type Runtime {\n  Erlang\n  Node\n  Bun\n  Deno\n  Browser\n  OtherRuntime(String)\n}\n\nErlang\n\n\nNode\n\n\nBun\n\n\nDeno\n\n\nBrowser\n\n\nOtherRuntime(String)\n\n\nSynonyms:\nplatform.Runtime\nplatform Runtime","url":"platform.html#Runtime"},{"doc":"platform","title":"arch","content":"pub fn arch() -&gt; Arch\n Returns the CPU architecture of the host system\n \n In web browsers, this will always return OtherArch(&quot;unknown&quot;)\n \n On erlang for windows, it&#39;ll always return either X86 or X64, even under a beam vm compiled for arm.\n This is because there is no simple way to get the cpu archictecture on windows, and it currently uses \n the bitness of the cpu to guess it instead. \n \n As of 22nd August 2024, there are no prebuilt binaries for windows for arm, so this shouldn&#39;t matter\nSynonyms:\nplatform.arch\nplatform arch","url":"platform.html#arch"},{"doc":"platform","title":"os","content":"pub fn os() -&gt; Os\n Returns the host operating system this appication is running on\n \n In web browsers, this will always return OtherOs(&quot;unknown&quot;)\nSynonyms:\nplatform.os\nplatform os","url":"platform.html#os"},{"doc":"platform","title":"runtime","content":"pub fn runtime() -&gt; Runtime\n Returns the runtime this application is running on\n \n On the erlang target, it&#39;ll always return `Erlang`\n \n On the js target, it&#39;ll try to detect the js runtime\nSynonyms:\nplatform.runtime\nplatform runtime","url":"platform.html#runtime"},{"doc":"platform","title":"platform","content":"","url":"platform.html"}]);